# Application Data Object

## Application Data

Once data has been imported for an application, a data object can be used in Grant Kits and policy code to refer to imported application data. The object looks like the following:

```
{
  "<application-type>": { ... required keys here ... },
}
```

Here's an example:

```
{
  "github": {"username":"alice"},
  "aws_identitystore": {"id": "1234"}
}
```

The user Alice has two pieces of data imported about them. Data for `github` and `aws_identitystore` is available.

## Referring to Application Data in Grant Kits

You can refer to application data in grant kits in the following way:

```
{{ .user.<app>.<key> }}
```

For example:

```
{{ .user.github.username }}
```

Refers to the Github username of a user.

## Referring to Application Data in Policies

You can refer to application data in grant kits in the following way:

```
data.user.<app>.<keyname>
```

For example:

```
data.user.github.username == "Alice"
```

checks whether a Github username matches `Alice`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.abbey.io/reference/linking-application-identities-into-abbey/application-data-object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
